KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME

kubeadm certs renew - Renew certificates for a Kubernetes cluster

SYNOPSIS

kubeadm certs renew [OPTIONS]

DESCRIPTION

Renew certificates for a Kubernetes cluster

OPTIONS INHERITED FROM PARENT COMMANDS

--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

SEE ALSO

kubeadm-certs(1), kubeadm-certs-renew-admin.conf(1), kubeadm-certs-renew-all(1), kubeadm-certs-renew-apiserver(1), kubeadm-certs-renew-apiserver-etcd-client(1), kubeadm-certs-renew-apiserver-kubelet-client(1), kubeadm-certs-renew-controller-manager.conf(1), kubeadm-certs-renew-etcd-healthcheck-client(1), kubeadm-certs-renew-etcd-peer(1), kubeadm-certs-renew-etcd-server(1), kubeadm-certs-renew-front-proxy-client(1), kubeadm-certs-renew-scheduler.conf(1), kubeadm-certs-renew-super-admin.conf(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!